<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Drogas</title>
</head>
<body>
<!-- COMENTARIO -->
{% if error %}
    <h1 style="color:red;"> {{error}} </h1>
{% endif %}

<form method="post">
    {% csrf_token %}
    <label><h1> Drogas </h1></label> <!-- h1 te da formato TITULO EN NEGRITA -->

    <label>Nombre</label>
    <input type="text" name="nombre"> <!--name es una variable de html-->

    <label> Cantidad </label>
    <input type="number" name="cantidad" value="1">

    <label> Drogueria </label>
    <select name="drogueria_id">
            {% for item in lista_drogueria %}
            <option value="{{ item.id }}"> <!-- guardo el id que selecciono -->
                {{ item.nombre }} <!-- ingreso cada opcion de drogueria -->
            </option>
            {% endfor %}
    </select>

    <br>
    <input type="submit" value="CARGAR">
</form>
<br>
<table>
    <style>
        table, tr, td
            {
                border: 1px solid black;
                border-collapse: collapse;
                padding: 5px;
                text-align: left;
            }
    </style>
    <thead> <!-- encabezado -->
        <tr> <!-- Fila -->
            <td> <!-- Columna -->
                Nombre
            </td>
            <td>
                Cantidad
            </td>
            <td>
                Drogueria
            </td>
        </tr>
    </thead>
    <tbody> <!-- cuerpo de la tabla -->
        {% for item in lista_droga %}
        <tr> <!-- Fila -->
            <td> <!-- Columna -->
                {{ item.nombre }}
            </td>
            <td>
                {{ item.cantidad }}
            </td>
            <td>
                {{ item.n_drogueria.nombre }}
            </td>
            <td>
                <a href="cargar/{{item.id}}"> Modificar </a>
            </td>
        </tr>
        {% endfor %}
    </tbody>
</table>


</body>
</html>